////////////////////////////////////////////////////////////////////////////
// Scan Dm1 Shader - By Scancode (some works based off original id shaders)
////////////////////////////////////////////////////////////////////////////
textures/scandm1/s_dm1_sky
{
	q3map_lightimage env/scandm1/sp01_ft.tga
	qer_editorimage env/scandm1/sp01_ft.tga
	
	//textures/skies/killsky_1.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms env/scandm1/sp01 - -

	// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
	q3map_sun 0.7 .7 .7 80 45 70
	q3map_surfacelight 100

}

textures/scandm1/s_dm1_fog
{
	qer_editorimage textures/sfx/fog_white.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nolightmap
	qer_nocarve
	fogparms ( 0.0 0.0 0.0 ) 1024
}

textures/scandm1/s_ceil1_38_5k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/scandm1/id_tin_panel
{
	qer_editorimage textures/scandm1/id_tin_panel.tga
	surfaceparm metalsteps
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/scandm1/id_tin_panel.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

// textures/scandm1/s_winmov1
// {
// 	qer_editorimage textures/base_wall/concrete_dark.tga
// 	{
// 		map $lightmap
// 		rgbGen identity
// 	}
// 	{
// 		map textures/base_wall/concrete_dark.tga
// 		blendfunc gl_dst_color gl_zero
// 	        rgbGen identity
//		tcmod scroll 0.0 -1.0
//	}
// }
